// *************************************************************** //
// Filename:    client.cpp                                         //
//                                                                 //
// Date:        November 26, 1993                                  //
//                                                                 //
// Description:                                                    //
// *************************************************************** //
#include "MyMDI.h"

// --------------------------------------------------------------- //
// MyMDIClient constructor                                       //
// --------------------------------------------------------------- //
TMyMDIClient::TMyMDIClient(TModule *module) :
  TMDIClient(module)
{
}

// --------------------------------------------------------------- //
// MyMDIClient destructor                                        //
// --------------------------------------------------------------- //
TMyMDIClient::~TMyMDIClient()
{
}

// --------------------------------------------------------------- //
// SetupWindow                                                     //
// --------------------------------------------------------------- //
void TMyMDIClient::SetupWindow()
{
  TMDIClient::SetupWindow();
  // put new stuff here
}

// --------------------------------------------------------------- //
// CleanupWindow                                                   //
// --------------------------------------------------------------- //
void TMyMDIClient::CleanupWindow()
{
  // put new stuff here
  TMDIClient::CleanupWindow();
}

// --------------------------------------------------------------- //
// InitChild                                                       //
// --------------------------------------------------------------- //
TMDIChild* TMyMDIClient::InitChild()
{
  TMDIChild *child;
  TTransferStruct ts;
  static int i=0;
  char buffer[20];

  TWhichDialog whichDlg(this, "WhichDlg", ts);
  int result = whichDlg.Execute();
  if (ts.Window)
  {
    // change this line for different children
    wsprintf(buffer, "Window %d", i);
    child = new TMyMDIChild(*this, buffer);
  }
  else
  {
    wsprintf(buffer, "Dialog %d", i);
    child = new TMyMDIChild(*this, buffer,
      new TMDIDialog(this, "MDIDLG"));
  }
  i++;
  return child;
}

// --------------------------------------------------------------- //
// Response table for MyMDIClient                                //
// --------------------------------------------------------------- //
DEFINE_RESPONSE_TABLE1(TMyMDIClient, TMDIClient)
END_RESPONSE_TABLE;


